{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "module": "esnext",
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "ES2022",
    "paths": {
      "@environments/*": [
        "src/environments/*"
      ],
      "@billing-invoices-dialogs/*": [
        "src/app/shared/common-dialogs/billing/invoices/*"
      ],
      "@billing-invoices-tabs/*": [
        "src/app/shared/common-tabs/billing/invoices/*"
      ],
      "@billing-service-dialogs/*": [
        "src/app/shared/common-dialogs/billing/services/*"
      ],
      "@billing-service-tabs/*": [
        "src/app/shared/common-tabs/billing/services/*"
      ],
      "@clients-users-users-tabs/*": [
        "src/app/shared/common-tabs/clients-users/users/*"
      ],
      "@openstack-api-users-dialogs/*": [
        "src/app/shared/common-dialogs/cloud/api-users/*"
      ],
      "@openstack-api-users-tabs/*": [
        "src/app/shared/common-tabs/openstack/api-users/*"
      ],
      "@openstack-images-tabs/*": [
        "src/app/shared/common-tabs/openstack/images/*"
      ],
      "@openstack-instances-dialogs/*": [
        "src/app/shared/common-dialogs/openstack/instances/*"
      ],
      "@openstack-instances-tabs/*": [
        "src/app/shared/common-tabs/openstack/instances/*"
      ],
      "@shared/*": [
        "src/app/shared/*"
      ],
      "@objects-view/*": [
        "src/app/shared/ui/objects-view/*"
      ],
      "@common-object-ui/*": [
        "src/app/shared/ui-api/common-object-ui-services/*"
      ],
      "@common-object-list-ui/*": [
        "src/app/shared/ui-api/common-object-list-ui-services/*"
      ],
      "@fleio-api/*": [
        "src/app/shared/fleio-api/*"
      ]
    },
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2018",
      "dom"
    ],
    "useDefineForClassFields": false
  },
  "angularCompilerOptions": {
    "allowSyntheticDefaultImports": true,
    "fullTemplateTypeCheck": true,
    "strictInjectionParameters": true,
    "types": [
      "jasmine",
      "node"
    ]
  }
}
